Loading...
Searching...
No Matches
module.h File Reference

IPA Module common interface. More...

`#include <list>`
`#include <memory>`
`#include <string>`
`#include <vector>`
`#include <libcamera/base/log.h>`
`#include <libcamera/base/utils.h>`
`#include "libcamera/internal/yaml_parser.h"`
`#include "algorithm.h"`
Include dependency graph for module.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::ipa::Module< _Context, _FrameContext, _Config, _Params, _Stats >
| The base class for all IPA modules. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Detailed Description

IPA Module common interface.